function route(handle, pathname, response, data) {
    if (typeof handle[pathname] === 'function') {
        handle[pathname](response, data);
    } else {    //不存在
        response.writeHead(404, { "Content-Type": "text/plain" });
        response.write("404 Not found: the page is not exsits");
        response.end();
    }
}

exports.route = route;